using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_PageSystem_Select_Board : System.Web.UI.Page
{
    private 访问 访问;
    protected String 加载字符串;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("选择版块", "网站后台", "选择版块", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        DataSet 数据 = (DataSet)Application["UUN_UUN3G_LunTanBanKuai"];

        生成版块(数据, 0, 1);

        if (this.IsPostBack)
            加载字符串 = "opener.SheZhiBanKuai('" + Request.QueryString["type"] + "','" + BanKuai.SelectedValue + "','" +
                常用.获取版块名称(Convert.ToInt32(BanKuai.SelectedValue)).Replace("'", "\\'") +
                "');window.close();";
    }

    private void 生成版块(DataSet 数据, int 父版块, int 深度)
    {
        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            if (Convert.ToInt32(行["所属版块"]) == 父版块)
            {
                ListItem 列表项 = new ListItem(生成空格(深度) + Convert.ToString(行["版块名称"]),
                    行["ID"].ToString());
                BanKuai.Items.Add(列表项);
                生成版块(数据, Convert.ToInt32(行["ID"]), 深度 + 1);
            }
        }
    }

    private String 生成空格(int 数量)
    {
        String 返回值 = "";
        for (int i = 0; i < 数量; i++)
            返回值 += "　";
        return 返回值 + "|-";
    }
}
